# Class default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:26

#####
Index

### Constructors

constructor

### Properties

isInitialized$

### Accessors

loop$
queue

### Methods

enqueue
start

##
Constructors

### constructor

- new default(deps): default

- #### Parameters

  - deps: ServiceDeps

  #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:49

##
Properties

### isInitialized$

isInitialized$: Observable<boolean>

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:27

##
Accessors

### loop$

- get loop$(): Observable<any>

- #### Returns Observable<any>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:45

### queue

- get queue(): Map<string, SyncQueueItem>

- #### Returns Map<string, SyncQueueItem>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:39

##
Methods

### enqueue

- enqueue(items): Promise<void>

- #### Parameters

  - items: SyncQueueItem[]

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:167

### start

- start(): default

- #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/ParticlesResolverQueue/ParticlesResolverQueue.ts:112